Export a single workspace

Export a single workspace#

Description#

Creates a file representing the entirety of the requested workspace and returns a token. Use the Download a single file endpoint to exchange the token for the file.

GET /api/v1/admin/export

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/admin/export \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/admin/export \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/admin/export" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/admin/export', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a JSON object containing a body property, which contains a TokenDto object.

Example Responses#

{
  "body": {
    "created": "string",
    "id": "string",
    "objectId": "string",
    "updated": "string",
    "useFlatKey": "boolean",
    "userId": "string",
    "version": "integer"
  },
  "code": "integer"
}